Compatibilità drupal 7 con PHP 8.0

4 contenuti / 0 new
Ultimo contenuto
Compatibilità drupal 7 con PHP 8.0

Buongiorno,
Rieccomi ad aprire una nuova richiesta di supporto, in pratica il mio host già dal 18 ottobre aggiorna a PHP 8 ho notato sul web che ci sono vari problemi per drupal 7 su PHP 8 ovviamente ad un certo punto dovrò fare upgrade a drupal 8 e poi nove ma nel frattempo devo necessariamente far girare il sito su PHP 8 cosa mi consigliate di fare per evitare errori? io non ho ancora tentato l'upgrade manualmente per evitare di mandare il sistema in panne, in ogni caso ci sono eventualmente modifiche che posso apportare per evitare una montagna di errori PHP? in attesa di vostre notizie vi ringrazio per il supporto e vi auguro ugna buona serata.

Drupal Version:

Purtroppo ho provato a fare l'upgrade a PHP 8.0 ma ricevo non solo degli errori su un paio di moduli fra essi il menu di amministrazione ma anche lo scritto per i contenuti si è verificato un errore riprova più tardi, come posso risolvere??

Massimo D.

Io ti consiglio di fare una nuova installazione in drupal 8 e migrare i contenuti.
Ma sei sicuro che non puoi chiedere all'host una versione php piu' vecchia? Se c'e' un pannello tipo plesk lo si puo' fare tranquillamente

Ciao,

la buona notizia è che Drupal 7 core verra mantenuto fino a novembre 2023 ma il supporto dei moduli non core.... questo non è garantito...
Drupal 7 con PHP 8 mi sembra ancora forte come affermazione, il 7.4 dovrebbe garantirtelo fino a fine anno.